.format-focus .eticeo-focus-course-mode1 .course-breadcrumb-mobile,
.format-focus .eticeo-focus-course-mode1 #prev-activity-mobile,
.format-focus .eticeo-focus-course-mode1 #next-activity-mobile,
.format-focus .eticeo-focus-course-mode1 #course-menu-mobile-toggler,
.format-focus .eticeo-focus-course-mode1 .focus-course-left-panel-onglets,
.format-focus .eticeo-focus-course-mode1 .focus-course-title .activity_navigation.top,
.format-focus .eticeo-focus-course-mode1 .focus-activity-header .eticeoAdvancementCourse,
.format-focus .eticeo-focus-course-mode1 .activitynamenav,
.format-focus .eticeo-focus-course-mode1 .focus-activity-header h3 {
    display: none;
}

.format-focus .eticeo-focus-course-mode1 .focus-activity-header {
    display: flex;
}

.path-mod .eticeo-focus-course-mode1 .focus-activity-header > #time_tracker_activity .timespent_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.path-mod .eticeo-focus-course-mode1 .focus-activity-header .completion-info {
    padding: 0 !important;
}

@media screen and (max-width: 600px) {

    .eticeo-focus-course-mode1 .focus-course-left-panel-onglets,
    .eticeo-focus-course-mode1 #course-menu-mobile-toggler,
    .format-focus .eticeo-focus-course-mode1 .focus-course-title .activity_navigation.top,
    .format-focus .eticeo-focus-course-mode1 .focus-activity-header .eticeoAdvancementCourse,
    .format-focus .eticeo-focus-course-mode1 .activitynamenav,
    .path-mod.format-focus .eticeo-focus-course-mode1 .focus-activity-header h3 {
        display: block;
    }

    .eticeo-focus-course-mode1 #prev-activity-mobile,
    .eticeo-focus-course-mode1 #next-activity-mobile {
        display: block !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-title > a,
    .path-mod .eticeo-focus-course-mode1 .focus-course-title .p_course_name,
    .path-mod .eticeo-focus-course-mode1 .focus-course-title .start-course-container,
    .format-focus .eticeo-focus-course-mode1 .focus-course-main-content .activity_navigation.top {
        display: none !important;
    }

    #page-content:has(.eticeo-focus-course-mode1),
    #page:has(.eticeo-focus-course-mode1) {
        padding-bottom: 0 !important;
    }

    #topofscroll:has(.eticeo-focus-course-mode1) {
        margin-bottom: 0 !important;
    }

    #page:has(.eticeo-focus-course-mode1) {
        background-color: var(--bg_niv_1);
    }

    #topofscroll:has(.eticeo-focus-course-mode1) {
        padding: 0 !important;
    }

    .eticeo-focus-course-mode1 .focus-course-breadcrumb {
        margin: 0 16px !important;
    }

    .eticeo-focus-course-mode1 .focus-course-breadcrumb nav:first-child {
        display: none;
    }

    .eticeo-focus-course-mode1 .focus-course-row {
        margin: 0 !important;
        border: none !important;
        margin-top: 20px !important;
    }

    .eticeo-focus-course-mode1 .course-breadcrumb-mobile {
        display: flex !important;
        align-items: center;
        gap: 10px;
        padding: 0;
    }

    /* accueil du cours */

    .path-course .eticeo-focus-course-mode1 .course-breadcrumb-mobile {
        font-size: 12px;
        border: 1px solid #e0e0e0;
        border-radius: 20px;
        padding: 4px 8px;
        width: fit-content;
    }

    .path-course .eticeo-focus-course-mode1 .focus-course-title {
        padding: 0 !important;
        border: none !important;
    }

    .path-course .eticeo-focus-course-mode1 .focus-course-title h2 {
        padding: 0 16px !important;
        text-align: left;
        width: 100%;
    }

    .path-course .eticeo-focus-course-mode1 .activityname {
        padding: 0 16px !important;
        text-align: left;
        width: 100%;
    }

    .path-course .eticeo-focus-course-mode1 .start-course-container {
        width: 100%;
        padding: 0 16px !important;
        margin: 0 !important;
        flex-direction: row-reverse !important;
        gap: 20px;
        border: none !important;
    }

    .path-course .eticeo-focus-course-mode1 .start-course-container .text-btn-start-course {
        font-size: 0.85rem !important;
        line-height: inherit !important;
    }

    .path-course .eticeo-focus-course-mode1 .start-course-container .text-btn-start-course i {
        margin-left: 5px !important;
        font-size: 20px !important;
    }

    .eticeo-focus-course-mode1 .focus-course-left-panel .start-course-container {
        padding: 21px;
        flex-direction: row-reverse;
        display: flex;
    }

    .path-course .eticeo-focus-course-mode1 .start-course-container button {
        white-space: nowrap;
        padding: 8px 10px;
    }

    .path-course .eticeo-focus-course-mode1 .focus-course-left-panel-onglets .mobile-onglet-3,
    .path-course .eticeo-focus-course-mode1 .focus-course-left-panel-onglets .mobile-onglet-4,
    .path-course .eticeo-focus-course-mode1 .focus-course-left-panel-onglets .mobile-onglet-5 {
        display: none;
    }

    .path-mod .eticeo-focus-course-mode1:not(:has(.focus-course-main-content .activity-description)) .focus-course-left-panel-onglets .mobile-onglet-5 {
        display: none;
    }

    /* activité */

    .path-mod .eticeo-focus-course-mode1 .focus-course-row {
        gap: 0 !important;
    }

    .path-mod .eticeo-focus-course-mode1 .course-breadcrumb-mobile a {
        overflow: hidden;
        color: var(--font_accent);
        white-space: nowrap;
        text-overflow: ellipsis;
        max-width: 100%;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-title {
        border: none !important;
        gap: 0 !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-title > .activity_navigation.top {
        padding: 0 !important;
        width: 100% !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-title > .activity_navigation h2 {
        padding: 0 16px !important;
        text-align: left !important;
        padding-top: 20px !important;
        font-weight: var(--text-reg);
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-title > .activity_navigation .module_container {
        padding: 0 16px !important;
        text-align: left !important;
        justify-content: flex-start;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-left-panel-onglets .mobile-onglet-1,
    .path-mod .eticeo-focus-course-mode1 .focus-course-left-panel-onglets .mobile-onglet-2 {
        display: none;
    }

    .path-mod .eticeo-focus-course-mode1 #prev-activity,
    .path-mod .eticeo-focus-course-mode1 #next-activity {
        display: none !important;
    }

    .path-mod .eticeo-focus-course-mode1 .activity_footer .row {
        display: flex !important;
        padding-left: 16px;
    }

    .path-mod .eticeo-focus-course-mode1 .activity_footer .row>div:nth-child(4) {
        display: none !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-left-panel h2 {
        padding-left: 16px;
    }

    .path-mod .eticeo-focus-course-mode1 #course-menu-mobile-toggler {
        display: flex;
        align-items: center;
        color: var(--font_secondary);
        border: var(--blocborder_border);
        box-shadow: var(--blocborder_shadow);
        border-radius: var(--blocborderradius);
        background-color: var(--bg_niv_1);
        line-height: 15px;
        padding: 7px 8px !important;
        font-weight: var(--texte_reg);
        font-size: medium;
    }

    .path-mod .eticeo-focus-course-mode1 .activity_navigation.bottom #course-menu-mobile-toggler,
    .path-mod .eticeo-focus-course-mode1 .activity_navigation.bottom .activityname {
        display: none;
    }

    .path-mod .eticeo-focus-course-mode1 #prev-activity-mobile,
    .path-mod .eticeo-focus-course-mode1 #next-activity-mobile {
        max-width: fit-content;
    }

    .format-focus.path-mod .eticeo-focus-course-mode1 .focus-course-title a.nav_icon {
        font-size: medium !important;
        padding: 7px 18px !important;
        width: fit-content;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-main-content .focus-activity-header,
    .path-mod .eticeo-focus-course-mode1 .focus-course-main-content .activity-description {
        display: none;
    }

    #page-mod-quiz-view .eticeo-focus-course-mode1 .focus-course-main-content,
    .path-mod .eticeo-focus-course-mode1 .focus-course-main-content {
        border: none !important;
        padding: 0 !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header {
        padding: 10px;
        border: none !important;
        border-radius: 0 !important;
        background: var(--bg_niv_2) !important;
        gap: 10px !important;
        flex-direction: column;
        margin: 0 !important;
        padding: 16px;
        gap: 16px !important;
        min-height: 50dvh !important;
        padding-bottom: 50px;
        flex-direction: column;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .completion-info {
        padding-bottom: 0 !important;
        padding-top: 5px !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .sr-only {
        display: none !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header>#time_tracker_activity {
        margin-top: 0 !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .activity-information,
    .path-mod .eticeo-focus-course-mode1 .focus-activity-header > #time_tracker_activity,
    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .eticeoAdvancementCourse {
        border-radius: 20px !important;
        background: #fff !important;
        padding: 20px 16px !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .activity-information:not(:has(div)),
    .path-mod .eticeo-focus-course-mode1 .focus-activity-header > #time_tracker_activity:not(:has(p span)) {
        display: none !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header h3 {
        font-size: 14px !important;
        font-weight: bolder !important;
        color: #165869 !important;
    }

    .path-mod .eticeo-focus-course-mode1 div[role="main"],
    #page-mod-quiz-view .eticeo-focus-course-mode1 div[role="main"] {
        padding: 20px !important;
        min-height: 50dvh !important;
        padding-bottom: 50px !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-main-content .activity-description {
        padding: 10px !important;
        padding-top: 30px !important;
        min-height: 50dvh !important;
        padding-bottom: 50px !important;
    }

    /* menu onglets */

    .format-focus.path-course .eticeo-focus-course-mode1 .focus-course-left-panel,
    .format-focus.path-mod .eticeo-focus-course-mode1 .focus-course-left-panel {
        display: none;
        margin: 0 !important;
    }

    .eticeo-focus-course-mode1 .focus-course-left-panel-onglets {
        display: flex !important;
        gap: 16px;
        padding: 0 !important;
        padding-top: 10px !important;
        padding-left: 26px !important;
        border-bottom: 1px solid #e0e0e0 !important;
        border-top: 1px solid #f0f0f0;
        width: 100%;
    }

    .eticeo-focus-course-mode1 .focus-course-left-panel-onglets>div {
        font-size: 16px !important;
        font-weight: 500 !important;
        color: var(--font_secondary) !important;
        margin: 0 !important;
        padding-bottom: 10px !important;
        padding-top: 4px !important;
        cursor: pointer;
    }

    .eticeo-focus-course-mode1 .focus-course-left-panel-onglets>div.active {
        color: var(--font_accent) !important;
        border-bottom: 2px solid var(--font_accent) !important;
    }

    .format-focus .eticeo-focus-course-mode1 .focus-course-left-panel .activity_nav_list {
        display: flex !important;
        padding: 10px;
        border: none !important;
        border-radius: 0 !important;
        background: var(--bg_niv_2) !important;
        gap: 10px !important;
        flex-direction: column;
    }

    .eticeo-focus-course-mode1 .activity_nav_list .details {
        display: block !important;
        border: none;
        background: var(--bg_niv_1);
        border-radius: var(--blocborderradius);
    }

    .eticeo-focus-course-mode1 .activity_nav_list .details:has(#accordion-0) {
        display: none !important;
    }

    .eticeo-focus-course-mode1 .focus-course-main-content {
        padding-bottom: 60px !important;
    }

    .format-focus.path-course .eticeo-focus-course-mode1 .progressPercentage,
    .format-focus .focus-course-title .eticeoAdvancementCourse .time_tracker {
        font-size: var(--texte_xs_size);
    }

    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .activity-information,
    .path-mod .eticeo-focus-course-mode1 .focus-activity-header>#time_tracker_activity,
    .path-mod .eticeo-focus-course-mode1 .focus-activity-header .eticeoAdvancementCourse {
        border-radius: 20px !important;
        background: #fff !important;
        padding: 20px 16px !important;
        display: flex;
        flex-direction: column;
        border: none !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-left-panel .col-4 {
        width: 100% !important;
        max-width: 100% !important;
        padding-left: 16px !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-left-panel .col-4 h2 {
        text-align: left !important;
        padding: 0 !important;
    }

    .path-mod .eticeo-focus-course-mode1 .focus-course-left-panel .module_container {
        justify-content: left !important;
    }

    .format-focus.path-course .eticeo-focus-course-mode1 .start-course-container {
        box-shadow: none !important;
    }

    .format-focus.path-mod .eticeo-focus-course-mode1 #time_tracker_activity .timetodo_container {
        border-right: none;
    }

    .format-focus .eticeo-focus-course-mode1 .activityinstance .custom-mod-icon.right {
        left: calc(100vw - 120px) !important;
    }

    .activity_nav_list .eticeo-focus-course-mode1 .activity .mod-indent-outer {
        max-width: 80vw !important;
    }

    /* test */

    #page-mod-quiz-attempt .eticeo-focus-course-mode1 .focus-course-left-panel>.activity_footer,
    #page-mod-quiz-summary .eticeo-focus-course-mode1 .focus-course-left-panel>.activity_footer {
        display: none !important;
    }

    .path-mod-quiz .eticeo-focus-course-mode1 #mod_quiz_navblock>.card-body,
    .path-question-bank-previewquestion .eticeo-focus-course-mode1 #mod_quiz_navblock>.card-body,
    .path-mod-quiz .eticeo-focus-course-mode1 .que,
    .path-question-bank-previewquestion .eticeo-focus-course-mode1 .que,
    .path-mod-quiz .eticeo-focus-course-mode1 .submitbtns,
    .path-question-bank-previewquestion .eticeo-focus-course-mode1 .submitbtns,
    #page-mod-quiz-summary .eticeo-focus-course-mode1 .result-container {
        border: none !important;
    }

    #page-mod-quiz-attempt .eticeo-focus-course-mode1 .submitbtns,
    #page-mod-quiz-review .eticeo-focus-course-mode1 .submitbtns {
        flex-direction: column;
        gap: 16px;
    }

    .format-focus .eticeo-focus-course-mode1 #time_tracker_activity {
        width: 100% !important;

    }

    /* Affichage des contenus selon l'onglet actif */
    .path-course .eticeo-focus-course-mode1 .focus-course-left-panel,
    .path-mod .eticeo-focus-course-mode1 .focus-course-main-content .focus-activity-header,
    .path-mod .eticeo-focus-course-mode1.tab-5 .focus-course-main-content .activity-description
    .path-mod .eticeo-focus-course-mode1 .activity_navigation.bottom .activity_navigation_container {
        display: none !important;
    }

    /* Onglet 1 : description du cours */
    .eticeo-focus-course-mode1.tab-1 .focus-course-main-content {
        display: block !important;
    }

    /* Onglet 2 : menu du cours */
    .eticeo-focus-course-mode1.tab-2 .focus-course-main-content {
        display: none !important;
    }

    .eticeo-focus-course-mode1.tab-2 .focus-course-left-panel {
        display: flex !important;
    }

    /* Onglet 3 : contenu de l'activité + blocs complémentaires */
    .eticeo-focus-course-mode1.tab-3 .focus-course-main-content div[role="main"],
    .eticeo-focus-course-mode1.tab-3 .focus-course-main-content .boosticeo_customize_blocks {
        display: block !important;
    }

    /* Onglet 4 : infos de l'activité (progression, temps passé, etc.) */
    .eticeo-focus-course-mode1.tab-4 .focus-course-main-content div[role="main"],
    .eticeo-focus-course-mode1.tab-4 .focus-course-main-content .boosticeo_customize_blocks {
        display: none !important;
    }

    .eticeo-focus-course-mode1.tab-4 .focus-course-main-content .focus-activity-header {
        display: flex !important;
    }

    /* Onglet 5 : description de l'activité */
    .eticeo-focus-course-mode1.tab-5 .focus-course-main-content div[role="main"] > *,
    .eticeo-focus-course-mode1.tab-5 .focus-course-main-content div[role="main"] > .description-container > *,
    .eticeo-focus-course-mode1.tab-4 .focus-course-main-content .boosticeo_customize_blocks {
        display: none !important;
    }

    .eticeo-focus-course-mode1.tab-5 .focus-course-main-content div[role="main"],
    .eticeo-focus-course-mode1.tab-5 .focus-course-main-content div[role="main"] > .description-container,
    .eticeo-focus-course-mode1.tab-5 .focus-course-main-content div[role="main"] > .description-container > .activity-description {
        display: block !important;
    }

    #page-mod-quiz-view .eticeo-focus-course-mode1.tab-5 .focus-course-main-content div[role="main"] > .description-container {
        background-color: transparent !important;
        padding: 0 !important;
    }

    /* Afficher le menu de cours */
    .path-mod .eticeo-focus-course-mode1.left-menu-active .focus-course-left-panel {
        display: flex !important;
    }

    .path-mod .eticeo-focus-course-mode1.left-menu-active .focus-course-left-panel-onglets,
    .eticeo-focus-course-mode1.left-menu-active .focus-course-main-content div[role="main"],
    .eticeo-focus-course-mode1.left-menu-active .focus-course-main-content .focus-activity-header,
    .eticeo-focus-course-mode1.left-menu-active .focus-course-main-content .boosticeo_customize_blocks,
    .eticeo-focus-course-mode1.left-menu-active .focus-course-main-content div[role="main"] > .description-container > .activity-description,
    .eticeo-focus-course-mode1.left-menu-active .activity_navigation.bottom .activity_navigation_container {
        display: none !important;
    }
}

@media screen and (max-width: 1200px) {

    .format-focus .eticeo-focus-course-mode1 .focus-course-left-panel,
    .format-focus .eticeo-focus-course-mode1 .focus-course-title {
        margin: 0 !important;
    }
}
